Package ru.bitel.bgbilling.modules.npay.server.bean

# Class NPayServiceStatusDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.npay.server.bean.NPayServiceStatusDao

public class NPayServiceStatusDao extends ru.bitel.common.dao.AbstarctDaoConstant

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TABLE_NPAY_SERVICE_STATUS_MATRIX`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NPayServiceStatusDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Boolean[][]`
  `getServiceStatusValues(List<Integer> serviceIds, List<Integer> statusIds, boolean replaceDefaultToValue)`
  `void`
  `updateServiceStatusValues(List<Integer> serviceIds, List<Integer> statusIds, Boolean[][] values)`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, queryAndIn`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TABLE_NPAY_SERVICE_STATUS_MATRIX

    public static final String TABLE_NPAY_SERVICE_STATUS_MATRIX
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### NPayServiceStatusDao

    public NPayServiceStatusDao(Connection con, int moduleId)

- ## Method Details

  - ### getServiceStatusValues

    public Boolean[][] getServiceStatusValues(List<Integer> serviceIds, List<Integer> statusIds, boolean replaceDefaultToValue) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateServiceStatusValues

    public void updateServiceStatusValues(List<Integer> serviceIds, List<Integer> statusIds, Boolean[][] values) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`